Bug 2450 - COLUMNS нигде не \'задается\'
: COLUMNS нигде не \'задается\'
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-31 12:44 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-31 12:44:27
Переменная COLUMNS нигде ни во что не устанавливается.
---

---
------- Comment #1 From 2003-03-31 13:41:59 -------
This variable is ALT bash specific:

$ COLUMNS= sh -c \'echo COLUMNS=$COLUMNS\' 2>/dev/null
COLUMNS=
$ COLUMNS= sh -c \'echo COLUMNS=$COLUMNS\'            
COLUMNS=80
------- Comment #2 From 2003-03-31 13:41:59 -------
This variable is ALT bash specific:

$ COLUMNS= sh -c \'echo COLUMNS=$COLUMNS\' 2>/dev/null
COLUMNS=
$ COLUMNS= sh -c \'echo COLUMNS=$COLUMNS\'            
COLUMNS=80
------- Comment #3 From 2003-04-19 23:38:41 -------
Поскольку переменной все-таки может не быть (ввиду версии /bin/sh), некий
workaround необходим.
------- Comment #4 From 2003-04-19 23:38:41 -------
Поскольку переменной все-таки может не быть (ввиду версии /bin/sh), некий
workaround необходим.
------- Comment #5 From 2003-04-19 23:39:10 -------
Fixed in 5.49-ipl54mdk
------- Comment #6 From 2003-04-19 23:39:10 -------
Fixed in 5.49-ipl54mdk